class BonusSpeed extends Bonus {
    constructor(name, scene, x, y, value, time) {
        super(name, scene, x, y, 'play', value);
        this.time = time;
    }

    useOn(robot) {
        robot.increaseSpeed(this.value);
        this.scene.time.addEvent({delay: this.time, callback: () => robot.decreaseSpeed(this.value)});
        this.destroy();
    }
}